About GeorgiaVIEW


Technical Requirements

Find out if you have the plugins and system requirements by using the GeorgiaVIEW System Checker.

Read more about the system requirements for GeorgiaVIEW.

Below you can find links to free plugins that are required for some content in GeorgiaVIEW

Adobe Flash
Adobe Reader
Quicktime
Real Player

Browser Compatibility

It is highly recommended that you use Chrome or Firefox for best results in GeorgiaVIEW. GeorgiaVIEW is technically compatible with Internet Explorer 9+, Firefox 24+, Chrome and Safari 5.1 or 6.0, but again, Chrome or Firefox will give you the best performance.

Download Chrome

Download Firefox   

 
 

Share This

 
 
 
X

For more information regarding consolidation, please visit our Consolidation page.

¤